Bug 135653 - FILEOPEN DOCX OLE object background not imported
Summary: FILEOPEN DOCX OLE object background not imported
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: All All
: medium normal
Assignee: Attila Bakos (NISZ)
URL:
Whiteboard: target:7.1.0
Keywords: filter:docx
Depends on:
Blocks: DOCX-OLE-Objects
  Show dependency treegraph
 
Reported: 2020-08-12 07:22 UTC by NISZ LibreOffice Team
Modified: 2020-09-14 07:36 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Word (26.10 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-08-12 07:22 UTC, NISZ LibreOffice Team
Details
Comparison MSO 2010 and LibreOffice 7.1 master (67.05 KB, image/png)
2020-08-12 09:52 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-08-12 07:22:58 UTC
Created attachment 164180 [details]
Example file from Word

Attached file contains two OLE objects, one with an orange background color, one with default “no background” color.
When opened both gets “no background” color.

Steps to reproduce:
    1. Open attached file

Actual results:
Left OLE object has no fill background color.

Expected results:
Left OLE object has orange background color.

LibreOffice details:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: <buildversion>
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL

(nightly from 08-10)
Comment 1 Xisco Faulí 2020-08-12 09:52:29 UTC
Created attachment 164189 [details]
Comparison MSO 2010 and LibreOffice 7.1 master
Comment 2 Xisco Faulí 2020-08-12 09:52:45 UTC
Reproduced in

Version: 7.1.0.0.alpha0+
Build ID: df37937018fe8e87dad5dd97689632044ba56de3
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 3 Commit Notification 2020-08-27 09:30:57 UTC
Attila Bakos committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/636d16efe45a55c1a5a7a451c46fbb8618bf0393

tdf#135653 OOXML import: fix OLE background color

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 NISZ LibreOffice Team 2020-09-14 07:36:21 UTC
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 34a09c9c61bff30e8c4d16132bb47b2b1b16e422
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded